GET Backup Content (Drill Down Namespace) REST API Operation

Use this operation to expand the browse view and browse applications in namespace. Refer to the Browsing Backup Content (Namespace) API for top level browse.

Request

Syntax

GET webservice/VMBrowse?inventoryPath=%5CFOLDER%3AbrowseView%3AbrowseView %5CFOLDER%3Anamespace%3AstrGUID&PseudoClientId=clientId/1.1
Host: Hostname
Accept: application/xml or application/json
Authtoken: authentication token
Content-Type: application/xml or application/json

where <webservice> is the root path used to route the API requests to the Web Server.

For more information, see Available Web Services for REST API.

Request Parameters

Name

Description

Required

browseView

The browse tree to identify.

Valid values are Applications, Volumes, and Labels.

Yes

clientId

The ID for the Kubernetes cluster client.

If the client ID is not known, use the GET Kubernetes Client ID API to retrieve it.

Yes

namespace

The namespace to identify.

Yes

strGUID

The strGUID value of the namespace.

If the strGUIDis not known, use the Browsing Backup Content (Namespace View) API to retrieve it.

Yes

Request Headers

Name

Description

Host

The host name of the Web Server or Command Center used in the API request.

Accept

The format of the response.

Valid values are application/xml and application/json.

Authtoken

The authentication token received after successfully logging on.

For information about receiving an authentication token, see Authentication.

Content-Type

The media type contained in the request body.

Response

Response Parameters

Parameter

Description

Element

name

The name of the entity.

inventoryInfo

templateVM

Indicates if the entity is a VM.

Valid value is 0.

inventoryInfo

maintenanceMode

Indicates if the entity is in maintenance mode.

Valid value is 0.

inventoryInfo

type

The type of application.

Valid values are:

  • FOLDER, for namespace.

  • VM, for application.

  • Selector, for selector.

  • Folder, for labels.

  • VM, for volumes.

inventoryInfo

strGUID

The GUID value for the application. It is a unique identifier for the Kubernetes entity.

inventoryInfo

poweredOff

Indicates if the application is powered off.

Valid value is 1.

inventoryInfo

toolStatus

Indicates the status of the tool.

Valid value is 0.

InventoryInfo

Examples

Sample Request

webservice/VMBrowse?inventoryPath=%5CFOLDER%3AApplications%3AApplications%5CFOLDER%3Arook-ceph%3Adefault%60Namespace%60rook-ceph%60e641faa8-fef4-49ff-b5be-da44d2ccf931&PseudoClientId=13

Sample Response

<EVGui_BrowseInventory> <inventoryInfo path="" name="rook-ceph-operator" templateVM="0" maintenanceMode="0" type="9" strGUID="rook-ceph`Deployment`rook-ceph-operator`5971ee48-c765-4f77-80e2-3966e5107b6f" poweredOff="1" toolsStatus="0" />
<inventoryInfo path="" name="rook-ceph-tools" templateVM="0" maintenanceMode="0" type="9" strGUID="rook-ceph`Deployment`rook-ceph-tools`598a04a0-a323-4361-8c85-12a3c3dae7ea" poweredOff="1" toolsStatus="0" /> <inventoryInfo path="" name="my-cluster" templateVM="0" maintenanceMode="0" type="9" strGUID="rook-ceph`crd-cephclusters.ceph.rook.io`my-cluster`72239011-8e67-42a3-ade1-7a40660eded9" poweredOff="1" toolsStatus="0" /> <inventoryInfo path="" name="myfs" templateVM="0" maintenanceMode="0" type="9" strGUID="rook-ceph`crd-cephfilesystems.ceph.rook.io`myfs`fd9f4390-14e0-4c36-ae59-c7bb77a51a36" poweredOff="1" toolsStatus="0" />
</EVGui_BrowseInventory>
×

Loading...